@ECHO OFF

IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)

IF EXIST "%1" ( GOTO :HASFILE ) ELSE ( GOTO :NOFILE )

:HASFILE
GOTO :MAIN

:NOFILE
ECHO Pikmin 2 iso file not found. Please drag a pikmin 2 iso onto the bat file.
PAUSE
EXIT


:MAIN
ECHO Welcome to the Pikmin 2 Practice Hack installer!
ECHO Extracting Pikmin 2 iso...
GCR %1 "root" e "."
ECHO iso extracted...

CHOICE /C "UPJ" /M "What version of Pikmin 2 is this? (U= us P= pal J= jpn) "
::ECHO %errorlevel%
IF %errorlevel% == 1 (XCOPY /y "Patch\Start_us.dol"		"root\&&SystemData\Start.dol"
XCOPY /y "Patch\ISO_us.hdr"		"root\&&SystemData\ISO.hdr")

IF %errorlevel% == 2 (XCOPY /y "Patch\Start_pal.dol"	"root\&&SystemData\Start.dol"
XCOPY /y "Patch\ISO_pal.hdr"		"root\&&SystemData\ISO.hdr")

IF %errorlevel% == 3 (XCOPY /y "Patch\Start_jpn.dol"	"root\&&SystemData\Start.dol"
XCOPY /y "Patch\ISO_jpn.hdr"		"root\&&SystemData\ISO.hdr")

XCOPY /y "Patch\background.bti" "root\background.bti"*
XCOPY /y "Patch\lol.bti"		"root\lol.bti"*
XCOPY /y "Patch\opening.bnr"	"root\opening.bnr"
DEL "root\AudioRes\Stream\select.w.32.c4.ast"
rd /s /q "root\thp"

ECHO Now building new iso...
GCR "root" "Pikmin2_practice%~x1"
rd /s /q "root"
ECHO done! :)
PAUSE
